> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/creator/content-creator-ko/sdk7/interactivity/external-links.md).

# 외부 링크

다른 씬 또는 외부 사이트로 연결

씬에서 다른 콘텐츠로 연결되는 링크를 추가할 수 있습니다. 다른 씬이나 외부 웹사이트로 연결할 수 있습니다.

## Creator Hub에서 씬 에디터 사용하기

외부 링크 또는 텔레포트를 추가하는 가장 쉬운 방법은 씬 에디터를 사용하는 것입니다. 다음을 사용하세요 **텔레포트** [스마트 아이템](/creator/content-creator-ko/scene-editor/interactivity/smart-items.md) Genesis City의 다른 씬으로 텔레포트를 추가하려면 다음을 사용하거나, 다음 중 하나를 사용하세요 **소셜 링크** 스마트 아이템을 사용하여 외부 사이트 링크를 추가합니다.

![](https://3980763956-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FoPnXBby9S6MrsW83Y9qZ%2Fuploads%2Fgit-blob-be65d3e84db80b872ee31e90d17c016a7b520fbc%2Fsocial-links.png?alt=media\&token=aae35e9f-eaa6-42ad-ac88-ae670c9b849a)

## 텔레포트

플레이어를 다른 씬으로 텔레포트하려면, 플레이어가 텔레포트할 좌표를 지정하여 다음 함수를 호출하세요.

```ts
import { teleportTo } from "~system/RestrictedActions"

(...)

teleportTo({ worldCoordinates: { x: -51, y: 1 } })
```

플레이어는 텔레포트되기 전에 확인 화면을 보게 되며, 이 화면에는 목적지 씬의 다음 정보가 표시됩니다 `scene.json 파일`, 씬을 포함하여 `name`, `설명` 과 `navmapThumbnail`. 참고: [씬 메타데이터](/creator/content-creator-ko/sdk7/kinds-of-projects/scene-metadata.md) 이 데이터를 설정하는 방법에 대한 자세한 내용은 참조하세요.

텔레포트는 지정된 좌표에 있는 씬으로 이동시키지만, 반드시 그와 동일한 좌표로 이동시키는 것은 아닙니다. 즉, 여러 필지로 구성된 씬으로 이동할 때 플레이어는 지정된 좌표와 같은 위치에 착지하지 않고, 씬 제작자가 지정한 스폰 지점 중 하나에 착지할 수 있습니다.

현재 씬 내에서 플레이어를 다른 좌표 집합으로 이동하려면 다음을 사용하세요 `movePlayerTo()` 함수를 사용하세요. 자세한 내용은 [플레이어 이동하기](/creator/content-creator-ko/sdk7/interactivity/avatars/move-player.md).

## WORLD로 텔레포트하기

플레이어를 공개 Genesis City 맵에 게시되지 않은 씬, 즉 고립된 [Decentraland WORLD](/creator/content-creator-ko/sdk7/publishing/publishing-options.md#decentraland-worlds), 다음을 전달하세요 `realm` 를 `teleportTo()`.

```ts
import { teleportTo } from "~system/RestrictedActions"

(...)

teleportTo({ realm: 'mannakia.dcl.eth' })
```

`realm` 다음과 같은 월드 이름 또는 `mannakia.dcl.eth`, 혹은 realm URL을 받을 수 있습니다.

다음이 없으면 `worldCoordinates`, 플레이어는 목적지의 스폰 지점 중 하나에 착지합니다. 해당 월드 내의 특정 필지를 선택하려면 좌표를 추가하세요:

```ts
// 특정 월드의 필지 12,34에 착지
teleportTo({
	realm: 'mannakia.dcl.eth',
	worldCoordinates: { x: 12, y: 34 },
})
```

플레이어는 realm을 변경하기 전에 확인 화면을 보게 됩니다. 이 화면에는 다음과 같이 표시됩니다 *"이 World에 들어가시겠습니까?"* 그리고 목적지(월드 이름 또는 realm URL의 호스트)를 표시합니다. 플레이어가 수락한 경우에만 이동합니다.

플레이어를 월드에서 Genesis City로 되돌리려면 다음을 포함하지 마세요 `realm` 필드이며, 기본값은 Genesis City입니다.

{% hint style="warning" %}
**📔 참고**: `realm` 필드에는 다음이 필요합니다 `@dcl/sdk` 버전 7.28.0 이상.
{% endhint %}

### changeRealm은 더 이상 사용되지 않습니다

이전 씬에서는 다음을 사용했습니다 `changeRealm()` 을 사용해 월드에 도달했습니다. 여전히 작동하지만, 다음을 사용하세요 `teleportTo({ realm })` 대신 사용하세요. `changeRealm()` 또한 확인 화면을 표시하며, 선택 사항인 `message` 필드는 기본 안내 문구만 대체합니다.

`changeRealm()` 새 realm이 실제로 활성화될 때가 아니라 플레이어가 안내를 수락하는 즉시 완료됩니다. 바로 뒤에 `teleportTo()` 호출하면 다음에 대해 실행됩니다 **이전** realm이므로 플레이어가 잘못된 장소에 착지하게 됩니다. `teleportTo({ realm })` 한 번의 호출로 두 단계를 모두 수행하므로 이러한 공백이 존재하지 않습니다.

## 외부 링크

외부 웹사이트 링크를 추가하려면 다음을 사용하세요 `openExternalUrl()` 명령어.

```ts
import { openExternalUrl } from '~system/RestrictedActions'

openExternalUrl({ url: 'google.com' })
```

이 기능을 악용하여 플레이어에게 스팸을 보내는 것을 방지하기 위해, 다음은 호출할 수 있는 경우가 제한됩니다 `openExternalUrl` 엔티티에서 발생한 명시적인 클릭 또는 버튼 이벤트에서만 호출할 수 있습니다. 타이머, 충돌 영역 또는 전역 클릭 이벤트의 결과로는 이 함수를 호출할 수 없습니다. 다음을 참조하세요 [버튼 이벤트](/creator/content-creator-ko/sdk7/interactivity/button-events/click-events.md) 이 작업을 수행하는 방법에 대한 자세한 내용은 참조하세요.

When `openExternalUrl` 이 호출되면 플레이어에게 확인 화면이 표시되며, 여기서 링크가 연결될 위치를 안내받고 링크 방문을 수락하거나 거절할 수 있습니다.

링크는 새 탭에서 열리며, 원래 탭은 Decentraland에 유지됩니다.

플레이어가 다음을 선택하면 *이 도메인 신뢰* 체크박스를 선택하면, 링크가 동일한 씬에서 동일한 도메인으로 연결되는 한 세션 중에는 다시 안내받지 않습니다.

## 클립보드에 복사

문자열을 플레이어의 클립보드에 복사하려면 다음을 사용하세요 `copyToClipboard()`. 이후 플레이어가 *붙여넣기* 를 Decentraland 채팅이나 자신의 기기에 있는 다른 애플리케이션에서 수행하면, 당신의 문자열이 붙여넣어집니다.

```ts
import { copyToClipboard } from "~system/RestrictedActions"

copyToClipboard( { text: 'My text to copy' } )
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/creator/content-creator-ko/sdk7/interactivity/external-links.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
